%define gcj_support     1
%define base_name       modeler
%define short_name      commons-%{base_name}
%define section         free
%define gcj_support     1

Name:           jakarta-%{short_name}
Version:        2.0
Release:        %mkrel 1.1
Epoch:          0
Summary:        Jakarta Commons Modeler
License:        Apache License
Group:          Development/Java
#Vendor:        JPackage Project
#Distribution:  JPackage
Source0:        http://www.apache.org/dist/jakarta/commons/modeler/source/commons-modeler-2.0-src.tar.gz
Url:            http://jakarta.apache.org/commons/%{base_name}/
BuildRequires:  ant
BuildRequires:  jaxp_parser_impl
BuildRequires:  xml-commons-apis
BuildRequires:  jaxp_transform_impl
# XXX: jmxri doesn't work because mx4j requires mx4j.util.Utils (mx4j-tools)
BuildRequires:  mx4j
BuildRequires:  junit >= 0:3.7
BuildRequires:  jakarta-commons-beanutils >= 0:1.3
BuildRequires:  jakarta-commons-collections >= 0:2.0
BuildRequires:  jakarta-commons-digester >= 0:1.2
BuildRequires:  jakarta-commons-logging >= 0:1.0
Requires:       jaxp_parser_impl
Requires:       xml-commons-apis
Requires:       jaxp_transform_impl
Requires:       mx4j
Requires:       jakarta-commons-beanutils >= 0:1.3
Requires:       jakarta-commons-collections >= 0:2.0
Requires:       jakarta-commons-digester >= 0:1.2
Requires:       jakarta-commons-logging >= 0:1.0
%if %{gcj_support}
Requires(post): java-gcj-compat
Requires(postun): java-gcj-compat
BuildRequires:  java-gcj-compat
%else
BuildArch:      noarch
BuildRequires:  java-devel
%endif
Provides:        %{short_name}
Obsoletes:       %{short_name}
BuildRoot:       %{_tmppath}/%{name}-%{version}-buildroot

%description
The Modeler project shall create and maintain a set of Java
classes to provide the facilities described in the preceeding section, plus
unit tests and small examples of using these facilities to instrument
Java classes with Model MBean support.

%package javadoc
Summary:        Javadoc for %{name}
Group:          Development/Java

%description javadoc
Javadoc for %{name}.

%prep
%setup -q -n %{short_name}-%{version}-src

%build
export CLASSPATH=$(build-classpath xml-commons-apis jaxp_parser_impl jaxp_transform_impl mx4j junit commons-beanutils commons-collections commons-digester commons-logging junit)
%{ant} dist
%{ant} -Dbuild.sysclasspath=first test

%install
%{__rm} -rf %{buildroot}

# jars
%{__mkdir_p} %{buildroot}%{_javadir}
%{__cp} -a dist/%{short_name}.jar %{buildroot}%{_javadir}/%{name}-%{version}.jar
(cd %{buildroot}%{_javadir} && for jar in *-%{version}*; do %{__ln_s} ${jar} `echo $jar| %{__sed}  "s|jakarta-||g"`; done)
(cd %{buildroot}%{_javadir} && for jar in *-%{version}*; do %{__ln_s} ${jar} `echo $jar| %{__sed}  "s|-%{version}||g"`; done)
# javadoc
%{__mkdir_p} %{buildroot}%{_javadocdir}/%{name}-%{version}
%{__cp} -a dist/docs/* %{buildroot}%{_javadocdir}/%{name}-%{version}
(cd %{buildroot}%{_javadocdir} && %{__ln_s} %{name}-%{version} %{name})

%{__perl} -pi -e 's/\r$//g' LICENSE.txt NOTICE.txt RELEASE-NOTES.txt

%if %{gcj_support}
%{_bindir}/aot-compile-rpm
%endif

%clean
%{__rm} -rf %{buildroot}

%if %{gcj_support}
%post
%{update_gcjdb}

%postun
%{clean_gcjdb}
%endif

%post javadoc
%{__rm} -f %{_javadocdir}/%{name}
%{__ln_s} %{name}-%{version} %{_javadocdir}/%{name}

%postun javadoc
if [ $1 -eq 0 ]; then
  %{__rm} -f %{_javadocdir}/%{name}
fi

%files
%defattr(0644,root,root,0755)
%doc LICENSE.txt NOTICE.txt RELEASE-NOTES.txt
%{_javadir}/*
%if %{gcj_support}
%dir %{_libdir}/gcj/%{name}
%attr(-,root,root) %{_libdir}/gcj/%{name}
%endif

%files javadoc
%defattr(0644,root,root,0755)
%dir %{_javadocdir}/%{name}-%{version}
%{_javadocdir}/%{name}-%{version}/*
%ghost %dir %{_javadocdir}/%{name}


%changelog
* Fri Mar 09 2007 David Walluck <walluck@mandriva.org> 2.0-1.1mdv2007.1
+ Revision: 140220
- 2.0
- Import jakarta-commons-modeler



* Sat Jul 22 2006 David Walluck <walluck@mandriva.org> 0:1.1-7.1mdv2007.0
- bump release

* Sat Jun 03 2006 David Walluck <walluck@mandriva.org> 0:1.1-4.3mdv2007.0
- rebuild for libgcj.so.7

* Fri Nov 11 2005 David Walluck <walluck@mandriva.org> 0:1.1-4.2mdk
- aot compile

* Fri May 20 2005 David Walluck <walluck@mandriva.org> 0:1.1-4.1mdk
- release

* Thu Feb 24 2005 David Walluck <david@jpackage.org> 0:1.1-4jpp
- add missing epochs to dependencies
- add non-versioned javadoc symlink
- fix file permissions

* Sun Aug 23 2004 Randy Watler <rwatler at finali.com> - 0:1.1-3jpp
- Rebuild with ant-1.6.2
* Thu Oct 09 2003 Henri Gomez <hgomez at users.sourceforge.net> 0:1.1-2jpp
- fix junit typo (reported by Kaj J. Niemi)

* Wed Oct 08 2003 Henri Gomez <hgomez at users.sourceforge.net> 0:1.1-1jpp
- modeler 1.1

* Tue Mar 25 2003 Nicolas Mailhot <Nicolas.Mailhot (at) JPackage.org> 1.0-6jpp
- for jpackage-utils 1.5

* Thu Feb 27 2003 Henri Gomez <hgomez@users.sourceforge.net> 1.0-5jpp
- fix ASF license

* Thu Feb 27 2003 Henri Gomez <hgomez@users.sourceforge.net> 1.0-4jpp
- fix missing packager tag
- fix new mx4j jar name (mx4j-jmx.jar)

* Fri Jul 12 2002 Henri Gomez <hgomez@users.sourceforge.net> 1.0-3jpp
- updated requires for jaxp_parser_impl and xml-commons-apis

* Mon Jun 10 2002 Henri Gomez <hgomez@users.sourceforge.net> 1.0-2jpp
- use sed instead of bash 2.x extension in link area to make spec compatible
  with distro using bash 1.1x

* Fri Jun 07 2002 Henri Gomez <hgomez@users.sourceforge.net> 1.0-1jpp 
- 1.0
- added short names in %{_javadir}, as does jakarta developpers
- first jPackage release
